Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.association
Interface DiscountAssociation

All Superinterfaces
  Serializable

Deprecated

    @Deprecated
    public interface DiscountAssociation

extends Serializable

This interface represents the public interface to the `DiscountAssociation` object. A `DiscountAssociation` object is an immutable representation of a discount association. A discount association is the mapping of a `Customer` to a `Discount` and it's primary purpose is to tack and limit how many times discount is used by a particular customer

Method Summary
`boolean` | `equals(Object obj)` Deprecated Tests if two discount associations are the same
`String` | `getDescription()` Deprecated Get the description for this discount association.
`Integer` | `getId()` Deprecated Gets this discount association's unique id
`QualificationDiscountId` | `getQualDiscountId()` Deprecated Gets the id of the discount for this discount association
`int` | `getUseCount()` Deprecated Gets the current use count for this discount association, that is the number of times the user in the association has used the discount in this association.
`CustomerPk` | `getUser()` Deprecated Gets this discount association's `Customer` or more specifically the `CustomerPK`
`int` | `hashCode()` Deprecated A unique code for this discount association
`boolean` | `isGlobal()` Deprecated Gets the value of the the global flag for the discount in this discount association
`String` | `toString()` Deprecated Gets a `String`representation of this discount``

Method Detail

### getId

    Integer getId()

  Deprecated
  Gets this discount association's unique id

  Returns
    the discount association's unique id

### getUser

    CustomerPk getUser()

  Deprecated
  Gets this discount association's `Customer` or more specifically the `CustomerPK`

  Returns
    discount association's `CustomerPK`

### getQualDiscountId

    QualificationDiscountId getQualDiscountId()

  Deprecated
  Gets the id of the discount for this discount association

  Returns
    the id of the discount, a `QualificationDiscountId` for this discount association

### isGlobal

    boolean isGlobal()

  Deprecated
  Gets the value of the the global flag for the discount in this discount association

  Returns
    ture if the discount in this association is global, flase if it is not

### getUseCount

    int getUseCount()

  Deprecated
  Gets the current use count for this discount association, that is the number of times the user in the association has used the discount in this association. This number should not exceed the `allowedUses`values specified by the discount

  ``
  Returns
    the number of time the user has used the discount
  See Also
    `QualificationDiscountDef.getAllowedUses()`

### getDescription

    String getDescription()

  Deprecated
  Get the description for this discount association. This description will only be present if the discount in this association is not global. The description will provide some indication of how or why the user is associated with the discount

  Returns
    the association's description, or null if none was provided

### equals

    boolean equals(Object obj)

  Deprecated
  Tests if two discount associations are the same

  Overrides:
    `equals` in class `Object`
  Parameters
    `obj` - the `DiscountAssociation` to compare this one against
  Returns
    true if the passed `DiscountAssociation` is the same as this one

### hashCode

    int hashCode()

  Deprecated
  A unique code for this discount association

  Overrides:
    `hashCode` in class `Object`
  Returns
    the hashCode for this discount association

### toString

    String toString()

  Deprecated
  Gets a `String`representation of this discount

  ``
  Overrides:
    `toString` in class `Object`
  Returns
    a `String`representation of this discount``

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.